import { axios } from '@/utils/request'

const api = {
  repairFailureType: '/admin/repair/io'
}

export function exportTemplate () {
  return axios({
    url: api.repairFailureType + '/exportTemplate',
    method: 'get',
    responseType: 'blob'
  })
}

export function exportRepair (parameter) {
  return axios({
    url: api.repairFailureType + '/exportRepair',
    method: 'get',
    params: parameter,
    responseType: 'blob'

  })
}
export function importData (data) {
  return axios({
    url: api.repairFailureType + '/importRepair',
    method: 'post',
    data: data
  })
}
